This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 185266 - Review Request: perl-Text-CHM Perl extension for handling MS Compiled HtmlHelp Files
Review Request: perl-Text-CHM Perl extension for handling MS Compiled HtmlHel...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-03-12 18:06 EST by Patrice Dumas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-31 15:26:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-03-12 18:06:54 EST
SRPM Name or Url: http://www.environnement.ens.fr/perso/dumas/fc-srpms/perl-Text-CHM-0.01-1.src.rpm
Description:


Perl extension for handling MS Compiled HtmlHelp Files.
Comment 1 Paul Howarth 2006-03-29 09:32:41 EST
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is same as perl, matches spec
- spec file written in English and is legible
- sources match upstream
- package builds OK on FC5 (i386) and in mock for rawhide (i386)
- BR's OK
- no locales, libraries, pkgconfigs, or subpackages to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop file needed
- no scriptlets

Suggestions:

- use the DESCRIPTION section from the manpage for %description

Notes:

- the CPAN test results do not inspire confidence in this module
  (4 testers, 4 FAILs)
  http://cpantesters.perl.org/show/Text-CHM.html#Text-CHM-0.01

Approved.
Comment 2 Patrice Dumas 2006-03-31 15:26:48 EST
I changed the description based on the man page, thanks for the idea. The failed
test don't seem to be problematic to me as the build fails because chmlib.h
isn't found. It builds in devel.
Comment 3 Christian Iseli 2006-04-08 16:53:53 EDT
Please add the package in owners.list
Comment 4 Patrice Dumas 2006-04-08 17:13:03 EDT
done. Thanks

Note You need to log in before you can comment on or make changes to this bug.